IDKCS011118
Express Upgrade pre-check in Ambari fails: "oozie-env.sh script must contain a retry count" WrittenFeb 28, 2018

 
Attachments0
  

Product Categories
Hortonworks

 Problem

Running the pre-check for the Ambari Express Upgrade gives the following error message:

Requirements
You must meet these requirements before you can proceed.

Client Retry Properties
Reason: The oozie-env.sh script must contain a retry count such as export OOZIE_CLIENT_OPTS="${OOZIE_CLIENT_OPTS} -Doozie.connection.retry.count=5"
Failed on: OOZIE


Environment/Conditions/Configuration

HDP 2.5


Cause
Intentional configuration changes made to oozie-env

Solution
Via Ambari, click on Services > Oozie > Configs > oozie-env > oozie-env template:

The following line of code must be present in the value of oozie-env template:
export OOZIE_CLIENT_OPTS="${OOZIE_CLIENT_OPTS} -Doozie.connection.retry.count=5"

If not present, it must be added, then save the configuration change and restart the Oozie service.

An Oozie service check will be required afterwards. Click on Service > Oozie > Service Actions > Run Service Check > OK

Special Considerations

Additional Information